Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::Current::NoContext Exception Reference

`#include <PS_CurrentC.h>`

Inheritance diagram for PortableServer::Current::NoContext:

[legend]
Collaboration diagram for PortableServer::Current::NoContext:

[legend]
List of all members.

## Public Member Functions
| NoContext (void)
| NoContext (const NoContext &)
| ~NoContext (void)
NoContext & | operator= (const NoContext &)
virtual ::CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &) const
virtual void | _tao_decode (TAO_InputCDR &)
virtual ::CORBA::TypeCode_ptr | _tao_type (void) const
## Static Public Member Functions
void | _tao_any_destructor (void *)
NoContext * | _downcast (::CORBA::Exception *)
const NoContext * | _downcast (::CORBA::Exception const *)
::CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

PortableServer::Current::NoContext::NoContext | ( | void |  | ) |

PortableServer::Current::NoContext::NoContext | ( | const NoContext & |  | ) |

PortableServer::Current::NoContext::~NoContext | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * PortableServer::Current::NoContext::_alloc | ( | void |  | ) | `[static]`

const PortableServer::Current::NoContext * PortableServer::Current::NoContext::_downcast | ( | ::CORBA::Exception const * |  | ) | `[static]`

PortableServer::Current::NoContext * PortableServer::Current::NoContext::_downcast | ( | ::CORBA::Exception * |  | ) | `[static]`

void PortableServer::Current::NoContext::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void PortableServer::Current::NoContext::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

void PortableServer::Current::NoContext::_tao_decode | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Implements CORBA::Exception.

CORBA::Exception * PortableServer::Current::NoContext::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void PortableServer::Current::NoContext::_tao_encode | ( | TAO_OutputCDR & |  | ) | const`[virtual]`

| Implements CORBA::Exception.

CORBA::TypeCode_ptr PortableServer::Current::NoContext::_tao_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::UserException.

NoContext& PortableServer::Current::NoContext::operator= | ( | const NoContext & |  | ) |

The documentation for this exception was generated from the following files:

- PS_Current.pidl
- PS_CurrentC.h
- PS_CurrentC.cpp